CVE-2020-13950

Published on: 06/10/2021 12:00:00 AM UTC

Last Modified on: 06/10/2021 03:15:00 PM UTC

Certain versions of Apache HTTP Server from Apache Software Foundation contain the following vulnerability:

Apache HTTP Server versions 2.4.41 to 2.4.46 mod_proxy_http can be made to crash (NULL pointer dereference) with specially crafted requests using both Content-Length and Transfer-Encoding headers, leading to a Denial of Service

  • CVE-2020-13950 has been assigned by URL Logo [email protected] to track the vulnerability
  • Affected Vendor/Software: URL Logo Apache Software Foundation - Apache HTTP Server version = 2.4.46
  • Affected Vendor/Software: URL Logo Apache Software Foundation - Apache HTTP Server version = 2.4.43
  • Affected Vendor/Software: URL Logo Apache Software Foundation - Apache HTTP Server version = 2.4.41

CVE References

Description Tags Link
Pony Mail! lists.apache.org
text/html
URL Logo MLIST [httpd-dev] 20210610 Re: svn commit: r1890598 - in /httpd/site/trunk/content/security/json: CVE-2019-17567.json CVE-2020-13938.json CVE-2020-13950.json CVE-2020-35452.json CVE-2021-26690.json CVE-2021-26691.json CVE-2021-30641.json CVE-2021-31618.json
httpd 2.4 vulnerabilities - The Apache HTTP Server Project httpd.apache.org
text/html
URL Logo MISC httpd.apache.org/security/vulnerabilities_24.html
Pony Mail! lists.apache.org
text/html
URL Logo MISC lists.apache.org/thread.html/re026d3da9d7824bd93b9f871c0fdda978d960c7e62d8c43cba8d0bf3%40%3Ccvs.httpd.apache.org%3E
Pony Mail! lists.apache.org
text/html
URL Logo MLIST [httpd-announce] 20210609 CVE-2020-13950: mod_proxy_http NULL pointer dereference
oss-security - CVE-2020-13950: Apache httpd: mod_proxy_http NULL pointer dereference www.openwall.com
text/html
URL Logo MLIST [oss-security] 20210609 CVE-2020-13950: Apache httpd: mod_proxy_http NULL pointer dereference

Related QID Numbers

  • 730109 Apache HTTP Server Multiple Vulnerabilities

Discovery Credit

Reported by Marc Stern ()

Social Mentions

Source Title Posted (UTC)
Twitter Icon @softek_jp Apache httpd 2.4 の mod_proxy_http の処理にサービスを妨害される問題 (CVE-2020-13950) [39168] sid.softek.jp/content/show/3… #SIDfm #脆弱性情報 2021-06-04 08:09:19
Twitter Icon @CVEreport CVE-2020-13950 : #Apache HTTP Server versions 2.4.41 to 2.4.46 mod_proxy_http can be made to crash NULL pointer de… twitter.com/i/web/status/1… 2021-06-10 07:13:04
Reddit Logo Icon /r/netcve CVE-2020-13950 2021-06-10 07:41:45
© CVE.report 2021 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report